#passKeyOverlay{
    position: absolute;
    top: 0;
    height: 100%;
    min-width: 100%;
    display: flex;
    flex-grow: 1;
    justify-content: center;
    z-index: 1000;
}

#passKeyOverlay.active{
    background-color: #2f393d;
    background-image: url("/images/erga_6.jpg");
}

#passkey{
    background-color: #d2dce4;
    border-radius: 10px;
    height: 300px;
    padding:60px 50px;
    width: 600px;
    align-self: center;
    display: flex;
    flex-direction: column;
    box-sizing: border-box;
    transform: translateY(-200%);
    transition: transform 0.5s ease;
}

#passkey.active{
    transform: translateY(0%);
}

#passkey > span{
    padding-top: 20px;
    position: relative;
}

#passKeyInput{
    color: #b69783;
    font-size: 30px;
    width: 400px;
    border: none;
    border-bottom: 3px solid rgba(185, 181, 181, 0.952);
    outline: none;
    background-color: transparent;
    padding: 1px 2px;
    border-radius: 0;
}

.underline2{
    background-color: #b69783;
    height: 3px;
    position: absolute;
    width: 0;
    left: 0;
    z-index: 1;
    bottom: 0;
    transition: width 300ms ease;
}

input:focus ~ .underline2{
    width: 404px;
}

#showKey{
    color: white;
    background-color: #575d5fd3;
    border-radius: 5px;
    cursor: pointer;
    height: 30px;
    padding: 10px 6px;
    text-decoration: none;
    outline: none;
    transition: all 0.2s ease;
    transition-property: background-color, color;
    user-select: none;
}

#showKey.active{
    text-decoration: line-through;
}

#submitBtnKey{
    margin: 50px 100px;
    border-radius: 5px;
    border: none;
    outline: none;
    font-weight: 500;
    padding: 10px 0;
    user-select: none;
    transition: all 0.3s ease;
    background-color: white;
    transition-property: margin, padding, color, background-color,font-weight,letter-spacing;
}


#submitBtnKey:hover{
    margin: 48px 98px;
    padding: 12px 0;
    background-color: #b69783;
    color: white;
    font-weight: 600;
    letter-spacing: 1.2px;
}

#notify{
    opacity: 0;
    position: absolute;
    bottom: 75px;
    text-align: center;
    color: rgb(59, 59, 59);
    pointer-events: none;
    padding: 0 !important;
}

#notify.active{
    transition: all 0.3s ease;
    transition-property: opacity, transform;
    opacity: 1;
    transform: translateY(-50px);
}

#showKey:hover{
    background-color: #000000d3;
    color: rgb(255, 255, 255);
}

#loadingLogo{
    position: absolute;
    fill: white;
    overflow: visible;
    padding: 10px 10px 30px 10px;
    justify-content: start;
    z-index: -1;
    opacity: 0;
    height: 200px;
    top: 25%;
}

#loadingLogo.active{
    top: 0;
    opacity: 1;
    height: 100px;
}